SystemOrganization addCategory: #'FuelPlatform-Squeak-05'!

FLSqueakPlatform subclass: #FLSqueak5Platform
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FuelPlatform-Squeak-05'!

!FLSqueak5Platform class methodsFor: 'testing' stamp: 'MaxLeske 2/19/2016 15:58'!
isResponsibleForCurrentPlatform
	^ super isResponsibleForCurrentPlatform and: [
		SystemVersion current version beginsWith: 'Squeak5' ]! !

!FLSqueak5Platform class methodsFor: 'private-extensions-flbasicserializationtest' stamp: 'MaxLeske 3/19/2016 09:49'!
setUpForFLBasicSerializationTest
	<flExtensionOf: #FLBasicSerializationTest isSource: true>
	^ 'setUp
	super setUp.
	"Automatic timezone setting should have the same setting after the
	tests as before."
	currentTimeZone := {DateAndTime localTimeZone. DateAndTime automaticTimezone}.'! !

!FLSqueak5Platform class methodsFor: 'private-extensions-flbasicserializationtest' stamp: 'MaxLeske 3/18/2016 15:41'!
tearDownForFLBasicSerializationTest
	<flExtensionOf: #FLBasicSerializationTest isSource: true>
	^ 'tearDown
	DateAndTime localTimeZone: currentTimeZone first.
	DateAndTime automaticTimezone: currentTimeZone second.
	super tearDown'! !

!FLSqueak5Platform class methodsFor: 'private-extensions-methodcontext' stamp: 'smalltalkCI 7/2/2017 10:30'!
tempNamed: aName
	<flExtensionOf: #MethodContext>
	^ self tempAt: (self tempNames indexOf: aName)! !

!FLSqueak5Platform class methodsFor: 'private-extensions-methodcontext' stamp: 'smalltalkCI 7/2/2017 10:31'!
tempNamed: aName put: anObject
	<flExtensionOf: #MethodContext>
	^ self tempAt: (self tempNames indexOf: aName) put: anObject! !
